<template>
  <div class="app-container">
    <iframe ref="companyIframe" marginwidth="0" marginheight="0" frameborder="0" scrolling="no" width="100%" :height="iframeHight" src="https://pre.jiansheku.com/enterprise/56546856314e567a69/" />
  </div>
</template>

<script>

export default {
  name: 'EnterpriseData',
  components: {

  },
  data() {
    return {
      iframeHight: null,
      iframeWin: {}
    }
  },
  computed: {
  },
  created() {
  },
  mounted() {
    this.getInframeHight()
  },
  methods: {
    getInframeHight() {
      const _this = this
      window.addEventListener('message', function(e) {
        const data = e.data
        if (data && typeof data === 'object' && data.height) {
          _this.iframeHight = data.height
        }
      })
    }
  }
}
</script>

<style lang="scss" scoped>

</style>
